[Surfraw-commits] [surfraw] 01/03: Elvi cleanup (d-f).

Kyle Isom kyle-guest at moszumanska.debian.org
Fri Mar 10 16:53:37 UTC 2017


This is an automated email from the git hooks/post-receive script.

kyle-guest pushed a commit to branch kyle/https-elvi
in repository surfraw.

commit a3ebc6863d123a8962af06c7a045ef656a841866
Author: Kyle Isom <kyle at imap.cc>
Date:   Thu Mar 9 13:59:58 2017 -0800

    Elvi cleanup (d-f).
    
    + Multiple elvi redirect to https, so the elvi have been switched
      to default to the https version of the site.
    + DMOZ will no longer exist by the time this change goes through.
    + Several sites have changed URLs.
---
 elvi/debbugs       |  6 ++--
 elvi/debcodesearch |  4 +--
 elvi/debcontents   |  8 +++---
 elvi/deblists      |  8 +++---
 elvi/debpackages   |  4 +--
 elvi/debpts        |  6 ++--
 elvi/debsec        |  4 +--
 elvi/debwiki       |  2 +-
 elvi/deja          |  6 ++--
 elvi/deli          |  6 ++--
 elvi/discogs       |  4 +--
 elvi/dmoz          | 81 ------------------------------------------------------
 elvi/ebay          |  4 +--
 elvi/f5            |  4 +--
 elvi/foldoc        |  4 +--
 elvi/freebsd       | 34 +++++++++++------------
 elvi/freshmeat     |  4 +--
 elvi/fsfdir        |  4 +--
 18 files changed, 56 insertions(+), 137 deletions(-)

diff --git a/elvi/debbugs b/elvi/debbugs
index 2a46471..6ac05aa 100755
--- a/elvi/debbugs
+++ b/elvi/debbugs
@@ -127,7 +127,7 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if test -z "$w3_args"; then
-    w3_browse_url "http://bugs.debian.org/"
+    w3_browse_url "https://www.debian.org/Bugs"
 else
     escaped_args=`w3_url_of_arg $w3_args`
     setoptyn donum 0
@@ -151,7 +151,7 @@ else
 
     if ifyes donum
     then
-	url="http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=${escaped_args}"
+	url="https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=${escaped_args}"
 	if yesno SURFRAW_debbugs_asmbox
 	then
 	    url="$url&mbox=yes"
@@ -165,7 +165,7 @@ else
 	    url="$url&boring=yes"
 	fi
     else
-	url="http://bugs.debian.org/cgi-bin/pkgreport.cgi?which=${SURFRAW_debbugs_search}&version=${SURFRAW_debbugs_version}&dist=${SURFRAW_debbugs_dist}&data=${escaped_args}"
+	url="https://bugs.debian.org/cgi-bin/pkgreport.cgi?which=${SURFRAW_debbugs_search}&version=${SURFRAW_debbugs_version}&dist=${SURFRAW_debbugs_dist}&data=${escaped_args}"
 	if yesno SURFRAW_debbugs_archive
 	then
 	    url="$url&archive=yes"
diff --git a/elvi/debcodesearch b/elvi/debcodesearch
index dbcfa6c..4805e82 100755
--- a/elvi/debcodesearch
+++ b/elvi/debcodesearch
@@ -16,8 +16,8 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if test -z "$w3_args"; then
-    w3_browse_url "http://codesearch.debian.net"
+    w3_browse_url "https://codesearch.debian.net"
 else
     escaped_args=`w3_url_of_arg $w3_args`
-    w3_browse_url "http://codesearch.debian.net/search?q=${escaped_args}"
+    w3_browse_url "https://codesearch.debian.net/search?q=${escaped_args}"
 fi
diff --git a/elvi/debcontents b/elvi/debcontents
index b47275b..3dc65c3 100755
--- a/elvi/debcontents
+++ b/elvi/debcontents
@@ -114,11 +114,11 @@ then
 	searchurl="http://packages.ubuntu.com/search"
 elif ifyes SURFRAW_debcontents_archive
 then
-	searchpage="http://archive.debian.net/#search_contents"
-	searchurl="http://archive.debian.net/search"
+	searchpage="https://archive.debian.net/#search_contents"
+	searchurl="https://archive.debian.net/search"
 else
-	searchpage="http://packages.debian.org/#search_contents"
-	searchurl="http://packages.debian.org/search"
+	searchpage="https://packages.debian.org/#search_contents"
+	searchurl="https://packages.debian.org/search"
 fi
 if test -z "$w3_args"; then
     w3_browse_url "$searchpage"
diff --git a/elvi/deblists b/elvi/deblists
index 4a07cab..12a0243 100755
--- a/elvi/deblists
+++ b/elvi/deblists
@@ -56,9 +56,9 @@ w3_parse_args "$@"
 if test -z "$w3_args"; then
     if ifyes SURFRAW_deblists_searchmsgid
     then
-        w3_browse_url "http://lists.debian.org/msgid-search"
+        w3_browse_url "https://lists.debian.org/msgid-search"
     else
-        w3_browse_url "http://lists.debian.org/search.html"
+        w3_browse_url "https://lists.debian.org/search.html"
     fi
 elif ifyes SURFRAW_deblists_searchmsgid
 then
@@ -72,12 +72,12 @@ then
         searchtype="&firsthit=I%27m+feeling+lucky"
     fi
     escaped_args=`w3_url_of_arg $w3_args`
-    w3_browse_url "http://lists.debian.org/msgid-search/?m=${escaped_args}${searchtype}"
+    w3_browse_url "https://lists.debian.org/msgid-search/?m=${escaped_args}${searchtype}"
 
 else
 
     escaped_args=`w3_url_of_arg $w3_args`
-    url="http://lists.debian.org/cgi-bin/search?P=${escaped_args}"
+    url="https://lists.debian.org/cgi-bin/search?P=${escaped_args}"
     if ifyes SURFRAW_deblists_matchany
     then
         url="$url&DEFAULTOP=or"
diff --git a/elvi/debpackages b/elvi/debpackages
index 85d8ba6..e08e84f 100755
--- a/elvi/debpackages
+++ b/elvi/debpackages
@@ -116,8 +116,8 @@ then
 	searchpage="http://archive.debian.net/"
 	searchurl="http://archive.debian.net/search"
 else
-	searchpage="http://packages.debian.org/#search_packages"
-	searchurl="http://packages.debian.org/search"
+	searchpage="https://packages.debian.org/#search_packages"
+	searchurl="https://packages.debian.org/search"
 fi
 
 if test -z "$w3_args"; then
diff --git a/elvi/debpts b/elvi/debpts
index 56bc57a..5321758 100755
--- a/elvi/debpts
+++ b/elvi/debpts
@@ -34,10 +34,10 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if [ $SURFRAW_debpts_viewdocs -eq 1 ]; then
-    w3_browse_url "http://www.debian.org/doc/manuals/developers-reference/ch-resources.en.html#s-pkg-tracking-system"
+    w3_browse_url "https://www.debian.org/doc/manuals/developers-reference/ch-resources.en.html#s-pkg-tracking-system"
 elif test -z "$w3_args"; then
-	w3_browse_url "http://packages.qa.debian.org/common/index.html"
+	w3_browse_url "https://packages.qa.debian.org/common/index.html"
 else
     escaped_args=`w3_url_of_arg $w3_args`
-    w3_browse_url "http://packages.qa.debian.org/common/index.html?src=${escaped_args}"
+    w3_browse_url "https://packages.qa.debian.org/common/index.html?src=${escaped_args}"
 fi
diff --git a/elvi/debsec b/elvi/debsec
index c48c976..2489d61 100755
--- a/elvi/debsec
+++ b/elvi/debsec
@@ -16,8 +16,8 @@ EOF
 w3_config
 w3_parse_args "$@"
 if test -z "$w3_args"; then
-    w3_browse_url "http://security-tracker.debian.org/tracker"
+    w3_browse_url "https://security-tracker.debian.org/tracker"
 else
     escaped_args=`w3_url_of_arg $w3_args`
-    w3_browse_url "http://security-tracker.debian.org/tracker/${escaped_args}"
+    w3_browse_url "https://security-tracker.debian.org/tracker/${escaped_args}"
 fi
diff --git a/elvi/debwiki b/elvi/debwiki
index c3841ef..10778ef 100755
--- a/elvi/debwiki
+++ b/elvi/debwiki
@@ -42,7 +42,7 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 
-url="http://wiki.debian.org"
+url="https://wiki.debian.org"
 
 if test -z "$w3_args"
 then
diff --git a/elvi/deja b/elvi/deja
index 262650f..a83f95d 100755
--- a/elvi/deja
+++ b/elvi/deja
@@ -37,12 +37,12 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if test -z "$w3_args"; then
-    w3_browse_url "http://groups.google.com/"
+    w3_browse_url "https://groups.google.com/"
 else
     escaped_args=`w3_url_of_arg $w3_args`
     if test "${SURFRAW_deja_style}" = "normal"; then
-       w3_browse_url "http://groups.google.com/groups?q=${escaped_args}&num=${SURFRAW_deja_results}"
+       w3_browse_url "https://groups.google.com/groups?q=${escaped_args}&num=${SURFRAW_deja_results}"
     else
-       w3_browse_url "http://groups.google.com/groups?as_umsgid=${escaped_args}&num=${SURFRAW_deja_results}"
+       w3_browse_url "https://groups.google.com/groups?as_umsgid=${escaped_args}&num=${SURFRAW_deja_results}"
     fi
 fi
diff --git a/elvi/deli b/elvi/deli
index d27cca0..96ffe8f 100755
--- a/elvi/deli
+++ b/elvi/deli
@@ -7,7 +7,7 @@
 w3_usage_hook () {
     cat <<EOF
 Usage: $w3_argv0 [options] [search-string]
-Description: Search Delicious bookmarks (www.delicious.com)
+Description: Search Delicious bookmarks (del.icio.us)
 
 EOF
     w3_global_usage
@@ -19,8 +19,8 @@ w3_parse_args "$@"
 
 # standard topic seach
 if [ -z "$w3_args" ]; then
-	w3_browse_url "http://www.delicious.com/discover"
+	w3_browse_url "https://www.del.icio.us/"
 else
 	escaped_args=$(w3_url_of_arg $w3_args)
-	w3_browse_url "http://www.delicious.com/search?p=${escaped_args}"
+	w3_browse_url "https://del.icio.us/search?p=${escaped_args}"
 fi
diff --git a/elvi/discogs b/elvi/discogs
index 6ddbfc3..cef65be 100755
--- a/elvi/discogs
+++ b/elvi/discogs
@@ -44,10 +44,10 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if test -z "$w3_args"; then
-    w3_browse_url "http://www.discogs.com/"
+    w3_browse_url "https://www.discogs.com/"
 else
     escaped_args=`w3_url_of_arg $w3_args`
-    w3_browse_url "http://www.discogs.com/search?type=${SURFRAW_discogs_category}&q=${escaped_args}&btn=Search"
+    w3_browse_url "https://www.discogs.com/search?type=${SURFRAW_discogs_category}&q=${escaped_args}&btn=Search"
 fi
 
 # EOF
diff --git a/elvi/dmoz b/elvi/dmoz
deleted file mode 100755
index 9ad0d43..0000000
--- a/elvi/dmoz
+++ /dev/null
@@ -1,81 +0,0 @@
-#!/bin/sh
-# $Id$
-# elvis: dmoz		-- Search the Open Directory Project web directory (dmoz.org)
-# ianb at erislabs.net 20040910
-. surfraw || exit 1
-
-w3_config_hook () {
-def    SURFRAW_dmoz_category     ""
-def    SURFRAW_dmoz_searchtype   "b"
-defyn  SURFRAW_dmoz_kids         0
-defyn  SURFRAW_dmoz_teens        0
-defyn  SURFRAW_dmoz_mteens       0
-}
-
-w3_usage_hook () {
-    cat <<EOF
-Usage: $w3_argv0 [options] [URL]
-Description:
-  Search the Open Directory Project web directory (dmoz.org)
-Local options:
-  -cat=CATEGORY                 Search category
-                                Default: all
-                                Values: Arts, Business, Computers, Games,
-                                        Health, Home, Kids_and_Teens, News,
-                                        Recreation, Reference, Regional,
-                                        Science, Shopping, Society, Sports,
-                                        World, Adult
-                                Environment: SURFRAW_dmoz_category
-  -type=SEARCHTYPE              Search type
-                                Default: b
-                                Values: c - Categories Only
-                                        s - Sites only
-                                        b - Both
-                                Environment: SURFRAW_dmoz_searchtype
-  -kids                         Sites for kids.
-                                Environment: SURFRAW_dmoz_kids
-  -teens                        Sites for teens.
-                                Environment: SURFRAW_dmoz_teens
-  -mteens                       Sites for mature teens.
-                                Environment: SURFRAW_dmoz_mteens
-EOF
-    w3_global_usage
-}
-
-w3_parse_option_hook () {
-    opt="$1"
-    optarg="$2"
-    case "$opt" in
-    -cat*=*)    setopt    SURFRAW_dmoz_category          "$optarg" ;;
-	-ty*=*)     setopt    SURFRAW_dmoz_searchtype        "$optarg" ;;
-	-ki*)       setoptyn  SURFRAW_dmoz_kids                1 ;;
-	-te*)       setoptyn  SURFRAW_dmoz_teens               1 ;;
-	-mt*)       setoptyn  SURFRAW_dmoz_mteens              1 ;;
-	*) return 1 ;;
-    esac
-    return 0
-}
-
-w3_config
-w3_parse_args "$@"
-# w3_args now contains a list of arguments
-if test -z "$w3_args"; then
-    w3_browse_url "http://dmoz.org/"
-else
-    escaped_args=`w3_url_of_arg $w3_args`
-	url="http://search.dmoz.org/cgi-bin/search?search=${escaped_args}&all=no&cat=${SURFRAW_dmoz_category}&t=${SURFRAW_dmoz_searchtype}"
-	if [ $SURFRAW_dmoz_kids -eq 1 ]
-	then
-		url="${url}&Kids=1"
-	fi
-	if [ $SURFRAW_dmoz_teens -eq 1 ]
-	then
-		url="${url}&Teens=1"
-	fi
-	if [ $SURFRAW_dmoz_mteens -eq 1 ]
-	then
-		url="${url}&Mteens=1"
-	fi
-
-	w3_browse_url "${url}"
-fi
diff --git a/elvi/ebay b/elvi/ebay
index 75ed72d..75dcab1 100755
--- a/elvi/ebay
+++ b/elvi/ebay
@@ -92,7 +92,7 @@ if null "$w3_args"; then
 	nl_BE)    url="http://www.benl.ebay.be"            ;;
 	se|sv)    url="http://www.tradera.com"             ;;
 	tw)       url="http://twexport.ebay.com"           ;;
-	*)        url="http://www.ebay.${TLD}"             ;;
+	*)        url="https://www.ebay.${TLD}"             ;;
     esac
     w3_browse_url "$url"
 else
@@ -104,7 +104,7 @@ else
     fi
 
     escaped_args=`w3_url_of_arg $w3_args`
-    host="http://search.ebay.${TLD}"
+    host="http://ebay.${TLD}"
     pathstart="search/search.dll?MfcISAPICommand=GetResult&krd=1&ht=1&shortcut=4&SoftProperty=MetaEndSort&cgiurl=http%3A%2F%2Fcgi"
     pathend="%2Fws%2F&maxRecordsPerPage=$SURFRAW_ebay_results&st=2&ebaytag1code=77&query=${escaped_args}"
 
diff --git a/elvi/f5 b/elvi/f5
index c6efbd8..65d0cb6 100755
--- a/elvi/f5
+++ b/elvi/f5
@@ -48,9 +48,9 @@ if ok SURFRAW_f5_dc; then
     exit $?
 fi
 if test -z "$escaped_args"; then
-    w3_browse_url "http://www.f5.com"
+    w3_browse_url "https://www.f5.com"
 else
-    w3_browse_url "http://www.f5.com/search?q=${escaped_args}"
+    w3_browse_url "https://www.f5.com/search?q=${escaped_args}"
 
 fi
 exit $?
diff --git a/elvi/foldoc b/elvi/foldoc
index aed6b37..1813e01 100755
--- a/elvi/foldoc
+++ b/elvi/foldoc
@@ -20,8 +20,8 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if test -z "$w3_args"; then
-    w3_browse_url "http://www.foldoc.org/"
+    w3_browse_url "https://foldoc.org/"
 else
     escaped_args=`w3_url_of_arg $w3_args`
-    w3_browse_url "http://foldoc.org/${escaped_args}"
+    w3_browse_url "https://foldoc.org/${escaped_args}"
 fi
diff --git a/elvi/freebsd b/elvi/freebsd
index f0ca558..4833917 100755
--- a/elvi/freebsd
+++ b/elvi/freebsd
@@ -133,68 +133,68 @@ test -z "$w3_args" || escaped_args=`w3_url_of_arg $w3_args`
 
 if ok SURFRAW_freebsd_portsearch; then
     if test -z "$escaped_args"; then
-        w3_browse_url "http://www.freebsd.org/cgi/ports.cgi"
+        w3_browse_url "https://www.freebsd.org/cgi/ports.cgi"
     else
-        w3_browse_url "http://www.freebsd.org/cgi/ports.cgi?query=${escaped_args}&stype=${SURFRAW_freebsd_portsearchtype}&sektion=${SURFRAW_freebsd_portsec}"
+        w3_browse_url "https://www.freebsd.org/cgi/ports.cgi?query=${escaped_args}&stype=${SURFRAW_freebsd_portsearchtype}&sektion=${SURFRAW_freebsd_portsec}"
     fi
     exit $?
 fi
 if ok SURFRAW_freebsd_pr; then
     if test -z "$escaped_args"; then
-        w3_browse_url "http://www.freebsd.org/cgi/query-pr-summary.cgi?query"
+        w3_browse_url "https://www.freebsd.org/cgi/query-pr-summary.cgi?query"
     else
-        w3_browse_url "http://www.freebsd.org/cgi/query-pr.cgi?pr=${escaped_args}"
+        w3_browse_url "https://www.freebsd.org/cgi/query-pr.cgi?pr=${escaped_args}"
     fi
     exit $?
 fi
 if ok SURFRAW_freebsd_mail; then
     if test -z "$escaped_args"; then
-        w3_browse_url "http://docs.freebsd.org/mail/"
+        w3_browse_url "https://docs.freebsd.org/mail/"
     else
-	w3_browse_url "http://www.freebsd.org/cgi/search.cgi?words=${escaped_args}&max=25&sort=score&index=recent&source=freebsd-questions"
+	w3_browse_url "https://www.freebsd.org/cgi/search.cgi?words=${escaped_args}&max=25&sort=score&index=recent&source=freebsd-questions"
     fi
     exit $?
 fi
 if ok SURFRAW_freebsd_gg; then
     if test -z "$escaped_args"; then
-        w3_browse_url "http://groups.google.com/groups?hl=en&group=mailing.freebsd"
+        w3_browse_url "https://groups.google.com/groups?hl=en&group=mailing.freebsd"
     else
-	w3_browse_url "http://groups.google.com/groups?q=${escaped_args}&hl=en&meta=group%3Dmailing.freebsd.*"
+	w3_browse_url "https://groups.google.com/groups?q=${escaped_args}&hl=en&meta=group%3Dmailing.freebsd.*"
     fi
     exit $?
 fi
 if ok SURFRAW_freebsd_cvs; then
     if test -z "$escaped_args"; then
-        w3_browse_url "http://cvsweb.freebsd.org/"
+        w3_browse_url "https://cvsweb.freebsd.org/"
     else
-	w3_browse_url "http://cvsweb.freebsd.org/cgi/cvsweb.cgi?path=${escaped_args}"
+	w3_browse_url "https://cvsweb.freebsd.org/cgi/cvsweb.cgi?path=${escaped_args}"
     fi
     exit $?
 fi
 if ok SURFRAW_freebsd_mid; then
     if test -z "$escaped_args"; then
-        w3_browse_url "http://www.freebsd.org/search/search-mid.html"
+        w3_browse_url "https://www.freebsd.org/search/search-mid.html"
     else
-	w3_browse_url "http://www.freebsd.org/cgi/mid.cgi?id=${escaped_args}&db=mid"
+	w3_browse_url "https://www.freebsd.org/cgi/mid.cgi?id=${escaped_args}&db=mid"
     fi
     exit $?
 fi
 if ok SURFRAW_freebsd_ps; then
-   w3_browse_url "http://people.freebsd.org/~fenner/portsurvey/"
+   w3_browse_url "https://people.freebsd.org/~fenner/portsurvey/"
    exit $?
 fi
 if ok SURFRAW_freebsd_elogs; then
-   w3_browse_url "http://people.freebsd.org/~fenner/errorlogs/"
+   w3_browse_url "https://people.freebsd.org/~fenner/errorlogs/"
    exit $?
 fi
 if ok SURFRAW_freebsd_prs; then
-   w3_browse_url "http://people.freebsd.org/~fenner/ports-prs.html"
+   w3_browse_url "https://people.freebsd.org/~fenner/ports-prs.html"
    exit $?
 fi
 if test -z "$escaped_args"; then
-    w3_browse_url "http://www.freebsd.org/"
+    w3_browse_url "https://www.freebsd.org/"
 else
-    w3_browse_url "http://www.freebsd.org/cgi/search.cgi?words=${escaped_args}&max=25&source=www"
+    w3_browse_url "https://www.freebsd.org/cgi/search.cgi?words=${escaped_args}&max=25&source=www"
 
 fi
 exit $?
diff --git a/elvi/freshmeat b/elvi/freshmeat
index 9c27c40..9302f99 100755
--- a/elvi/freshmeat
+++ b/elvi/freshmeat
@@ -16,8 +16,8 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if test -z "$w3_args"; then
-    w3_browse_url "http://www.freshmeat.net/"
+    w3_browse_url "http://www.freecode.com/"
 else
     escaped_args=`w3_url_of_arg $w3_args`
-    w3_browse_url "http://freshmeat.net/search?q=${escaped_args}"
+    w3_browse_url "http://www.freecode.com/search?q=${escaped_args}"
 fi
diff --git a/elvi/fsfdir b/elvi/fsfdir
index ef620be..7c6b99d 100755
--- a/elvi/fsfdir
+++ b/elvi/fsfdir
@@ -17,8 +17,8 @@ w3_config
 w3_parse_args "$@"
 # w3_args now contains a list of arguments
 if test -z "$w3_args"; then
-    w3_browse_url "http://directory.fsf.org/"
+    w3_browse_url "https://directory.fsf.org/"
 else
     escaped_args=`w3_url_of_arg $w3_args`
-	w3_browse_url "http://directory.fsf.org/search/?query=${escaped_args}"
+	w3_browse_url "https://directory.fsf.org/search/?query=${escaped_args}"
 fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/surfraw/surfraw.git



More information about the Surfraw-commits mailing list